
/** 
 * An encoding of the robot's current status. An instance of this
 * class will contain the sensor readings from some location, and the
 * last movement taken to get to this location.
 * @author Matt Hoffman
 * @version 1.0 
 ***/
public class Status
{
    /** Rotation taken before moving. */
    public float initialRotation;

    /** Rotation taken after moving. */
    public float finalRotation;

    /** The distance moved. */
    public float distance;
    
    /** Sensor readings every 45 degrees. */
    public int[] sensors;

    // ---------------------------------------------------------------
    private int NUM_SCANS = 360/45;

    /** Basic constructor, everything is set to 0. */
    public Status() 
    {
        distance = 0.0f;
        initialRotation = 0.0f;
        finalRotation = 0.0f;
        sensors = new int[NUM_SCANS];
    }

    public Status(String line)
    {
        sensors = new int[NUM_SCANS];
        String[] strings = line.split("\\s+");

        distance = Float.parseFloat(strings[0]);
        initialRotation = Float.parseFloat(strings[1]);
        finalRotation = Float.parseFloat(strings[2]);
    }
};
