import java.lang.Thread;

public class Main
{
    public static void main(String argv[])
    {
        if (argv.length != 2)
        {
            System.out.println("Usage:");
            System.out.println("  main scriptfile mapfile");
            System.exit(-1);
        }
            
        RobotModel r = new RobotModel(argv[0], argv[1]);
        Status s;
        System.out.println("Initially located at (" + 
                            r.initialX + ", " + r.initialY + ")");

        while (true)
        {
            // just sleep for a bit so everything doesn't shoot by too
            // quickly in the frame
            try { Thread.sleep(1000); } 
            catch (Exception e) {}

            s = r.getNext();
            if (s == null)
                break;

            System.out.println("----------------------------");
            System.out.println("Rotated by " + s.initialRotation);
            System.out.println("Moved by " + s.distance);
            System.out.println("Rotated by " + s.finalRotation);

            r.redraw();
        }

        System.out.println("----------------------------");
        System.out.println("Done moving.");
    }
};
